/*
 *      emojis.h
 *
 *      Copyright 2022 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef EMOJIS_H
#define EMOJIS_H

#include <QString>
#include <QMap>
#include <QList>

struct dxEmoji {
    QString unicode;
    QString filename;              //ex. "0039-fe0f-20e3"
    QString name;                  //ex. "keycap number sign"
    QString shortname;             //ex. ":hash:"
    QString category;              //ex. "symbols"
    int emoji_order;

    dxEmoji(QString u, QString f, QString n, QString s, QString c, int o)
        : unicode(u), filename(f), name(n), shortname(s), category(c), emoji_order(o)
    {}
    dxEmoji() {}
};

extern QList<dxEmoji> emojis;

extern QMap<QString,QString> asciiemojis;

extern QMap<QString,QString> shortemojis;

#endif  /* EMOJIS_H */

